libspatialindex4-1.8.5-3.mga7.i586.rpm


Advertisement

Description

libspatialindex4 - Spatial indexing libraries

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename libspatialindex4-1.8.5-3.mga7.i586.rpm
Package name libspatialindex4
Package version 1.8.5
Package release 3.mga7
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://libspatialindex.github.com/
License MIT
Maintainer -
Download size 273.62 KB
Installed size 989.29 KB
Spatial indexing libraries.
The purpose of this library is to provide:
- An extensible framework that will support robust spatial indexing methods.
- Support for sophisticated spatial queries. Range, point location, nearest
neighbor and k-nearest neighbor as well as parametric queries (defined by
spatial constraints) should be easy to deploy and run.
- Easy to use interfaces for inserting, deleting and updating information.
- Wide variety of customization capabilities. Basic index and storage
characteristics like the page size, node capacity, minimum fan-out,
splitting algorithm, etc. should be easy to customize.
- Index persistence. Internal memory and external memory structures should be
supported. Clustered and non-clustered indices should be easy to be
persisted.

Alternatives

Package Version Architecture Repository
libspatialindex4 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libspatialindex.so.4 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.1) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -

Provides

Name Value
libspatialindex.so.4 -
libspatialindex4 == 1.8.5-3.mga7
libspatialindex4(x86-32) == 1.8.5-3.mga7
libspatialindex_c.so.4 -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libspatialindex4-1.8.5-3.mga7.i586.rpm
Source Package libspatialindex-1.8.5-3.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libspatialindex4 rpm package:
    # urpmi libspatialindex4

Files

Path
/usr/lib/libspatialindex.so.4
/usr/lib/libspatialindex.so.4.1.0
/usr/lib/libspatialindex_c.so.4
/usr/lib/libspatialindex_c.so.4.1.0
/usr/lib/.build-id/
/usr/lib/.build-id/aa/9f251bf3cbc3194efd86667cbdd5c090e1c709
/usr/lib/.build-id/e4/cb81bbd7e556f165f709849d51dc94887aa3cf

Changelog

2018-09-23 - umeabot <umeabot> 1.8.5-3.mga7
(not released yet)
+ Revision: 1299160
- Mageia 7 Mass Rebuild

See Also

Package Description
libspatialite-devel-4.3.0a-8.mga7.i586.rpm Development files for libspatialite
libspatialite7-4.3.0a-8.mga7.i586.rpm SQLite Spatial SQL extension
libspectre-devel-0.2.8-2.mga7.i586.rpm Postscript rendering library
libspectre1-0.2.8-2.mga7.i586.rpm Postscript rendering library
libspectrum-devel-1.4.4-1.mga7.i586.rpm Libraries, includes, etc. to develop libspectrum applications
libspectrum8-1.4.4-1.mga7.i586.rpm Shared library of libspectrum
libspeech_tools-devel-2.1-15.mga7.i586.rpm Static libraries and headers for festival text to speech
libspeech_tools2.1.1-2.1-15.mga7.i586.rpm Shared libraries for festival text to speech
libspeechd-devel-0.9.0-2.mga7.i586.rpm Development files for speech-dispatcher
libspeechd2-0.9.0-2.mga7.i586.rpm Shared libraries for speech-dispatcher
libspeex-devel-1.2.0-2.mga7.i586.rpm Speex development files
libspeex1-1.2.0-2.mga7.i586.rpm Shared library of the Speex codec
libspeexdsp-devel-1.2.0-1.mga8.i586.rpm Speex DSP development files
libspeexdsp1-1.2.0-1.mga8.i586.rpm Shared library of the Speex DSP
libspf2-devel-1.2.10-4.mga7.i586.rpm Development tools needed to build programs that use libspf2
Advertisement
Advertisement